--
-- Create a very simple database to hold job and job category information
--
PRAGMA foreign_keys = ON;
CREATE TABLE job (
        id      INTEGER PRIMARY KEY,
        title   TEXT,
        created TIMESTAMP,
        updated TIMESTAMP
);
-- 'job_category' is a many-to-many join table between jobs & categories
CREATE TABLE job_category (
        job_id        INTEGER REFERENCES job(id) ON DELETE CASCADE ON UPDATE CASCADE,
        category_id   INTEGER REFERENCES category(id) ON DELETE CASCADE ON UPDATE CASCADE,
        PRIMARY KEY (job_id, category_id)
);
CREATE TABLE category (
        id          INTEGER PRIMARY KEY,
        title       TEXT,
        description TEXT,
        created     TIMESTAMP,
        updated     TIMESTAMP
);
---
--- Load some sample data
---
INSERT INTO job VALUES (1, 'Perl Developer', DATETIME('NOW'), DATETIME('NOW'));
INSERT INTO job VALUES (2, 'Software Engineer', DATETIME('NOW'), DATETIME('NOW'));
INSERT INTO job VALUES (3, 'Bank Manager', DATETIME('NOW'), DATETIME('NOW'));
INSERT INTO category VALUES (1, 'IT', 'Information Technology', DATETIME('NOW'), DATETIME('NOW'));
INSERT INTO category VALUES (2, 'Banking', 'Banking', DATETIME('NOW'), DATETIME('NOW'));
INSERT INTO job_category VALUES (1, 1);
INSERT INTO job_category VALUES (2, 1);
INSERT INTO job_category VALUES (3, 2);
