use utf8;
package JobBulletin::Schema::Result::JobCategory;

# Created by DBIx::Class::Schema::Loader
# DO NOT MODIFY THE FIRST PART OF THIS FILE

=head1 NAME

JobBulletin::Schema::Result::JobCategory

=cut

use strict;
use warnings;

use Moose;
use MooseX::NonMoose;
use MooseX::MarkAsMethods autoclean => 1;
extends 'DBIx::Class::Core';

=head1 COMPONENTS LOADED

=over 4

=item * L<DBIx::Class::InflateColumn::DateTime>

=item * L<DBIx::Class::TimeStamp>

=back

=cut

__PACKAGE__->load_components("InflateColumn::DateTime", "TimeStamp");

=head1 TABLE: C<job_category>

=cut

__PACKAGE__->table("job_category");

=head1 ACCESSORS

=head2 job_id

  data_type: 'integer'
  is_foreign_key: 1
  is_nullable: 0

=head2 category_id

  data_type: 'integer'
  is_foreign_key: 1
  is_nullable: 0

=cut

__PACKAGE__->add_columns(
  "job_id",
  { data_type => "integer", is_foreign_key => 1, is_nullable => 0 },
  "category_id",
  { data_type => "integer", is_foreign_key => 1, is_nullable => 0 },
);

=head1 PRIMARY KEY

=over 4

=item * L</job_id>

=item * L</category_id>

=back

=cut

__PACKAGE__->set_primary_key("job_id", "category_id");

=head1 RELATIONS

=head2 category

Type: belongs_to

Related object: L<JobBulletin::Schema::Result::Category>

=cut

__PACKAGE__->belongs_to(
  "category",
  "JobBulletin::Schema::Result::Category",
  { id => "category_id" },
  { is_deferrable => 1, on_delete => "CASCADE", on_update => "CASCADE" },
);

=head2 job

Type: belongs_to

Related object: L<JobBulletin::Schema::Result::Job>

=cut

__PACKAGE__->belongs_to(
  "job",
  "JobBulletin::Schema::Result::Job",
  { id => "job_id" },
  { is_deferrable => 1, on_delete => "CASCADE", on_update => "CASCADE" },
);


# Created by DBIx::Class::Schema::Loader v0.07025 @ 2012-07-19 22:50:23
# DO NOT MODIFY THIS OR ANYTHING ABOVE! md5sum:DAiFnmEFugn8X3riOQqosw


# You can replace this text with custom code or comments, and it will be preserved on regeneration
__PACKAGE__->meta->make_immutable;
1;
